package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.IndustrialAccidentTendency;
import com.lightinit.hsdatashow.entity.IndustrialAccidentTendencyExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface IndustrialAccidentTendencyMapper {
    long countByExample(IndustrialAccidentTendencyExample example);

    int deleteByExample(IndustrialAccidentTendencyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(IndustrialAccidentTendency record);

    int insertSelective(IndustrialAccidentTendency record);

    List<IndustrialAccidentTendency> selectByExample(IndustrialAccidentTendencyExample example);

    IndustrialAccidentTendency selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") IndustrialAccidentTendency record, @Param("example") IndustrialAccidentTendencyExample example);

    int updateByExample(@Param("record") IndustrialAccidentTendency record, @Param("example") IndustrialAccidentTendencyExample example);

    int updateByPrimaryKeySelective(IndustrialAccidentTendency record);

    int updateByPrimaryKey(IndustrialAccidentTendency record);

    List<ChartModel2> getIndustrialAccidentTendency();
}